%define gst_plugins gst-plugins
%define ver_major 0.10

%define _gst_libdir %_libdir/gstreamer-%ver_major
%define _gtk_docdir %_datadir/gtk-doc/html

Name: %gst_plugins-ugly
Version: %ver_major.13
Release: alt1
Summary: A set of encumbered GStreamer plugins
Group: System/Libraries
License: LGPL
URL: http://gstreamer.freedesktop.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: gstreamer >= 0.10.6
Requires: lib%gst_plugins >= 0.10.3

Obsoletes: %gst_plugins-a52dec <= %version
Obsoletes: %gst_plugins-dvdread <= %version
Obsoletes: %gst_plugins-lame <= %version
Obsoletes: %gst_plugins-mad <= %version
Obsoletes: %gst_plugins-mpeg2dec <= %version
Obsoletes: %gst_plugins-sidplay <= %version
Obsoletes: %name-all <= %version
Obsoletes: %name-audio-formats <= %version
Obsoletes: %name-container-formats <= %version
Obsoletes: %name-subtitle <= %version

Provides: %gst_plugins-a52dec = %version-%release
Provides: %gst_plugins-dvdread = %version-%release
Provides: %gst_plugins-lame = %version-%release
Provides: %gst_plugins-mad = %version-%release
Provides: %gst_plugins-mpeg2dec = %version-%release
Provides: %gst_plugins-sidplay = %version-%release
Provides: %name-all = %version-%release
Provides: %name-audio-formats = %version-%release
Provides: %name-container-formats = %version-%release
Provides: %name-subtitle = %version-%release

Conflicts: %gst_plugins-bad < 0.10.13

Source: %name-%version.tar
Source1: common.tar
Patch: %name-%version-%release.patch

BuildRequires: gcc-c++ gst-plugins-devel gtk-doc intltool liba52-devel libcdio-devel libid3tag-devel
BuildRequires: liblame-devel libmad-devel libmpeg2-devel liboil-devel libx264-devel python-module-PyXML
BuildRequires: python-modules-encodings libopencore-amrnb-devel libopencore-amrwb-devel libdvdread-devel

%description
GStreamer Ugly Plug-ins is a set of plug-ins that have good quality
and correct functionality, but distributing them might pose problems.
The license on either the plug-ins or the supporting
libraries might not be how the developers would like.
The code might be widely known to present patent problems.

%package devel-doc
Summary: Development documentation for GStreamer Ugly plugins
Group: Development/C

%description devel-doc
This package contains development documentation for GStreamer Ugly plugin
collection.

%prep
%setup -q -a1
%patch -p1

touch ABOUT-NLS config.rpath

%build
gtkdocize
%autoreconf
%configure \
	--disable-examples \
	--enable-experimental \
	--enable-gtk-doc \
	--disable-static \
	--with-html-dir=%_gtk_docdir
%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name-%ver_major

%files -f %name-%ver_major.lang
%doc AUTHORS NEWS README RELEASE
%dir %_gst_libdir
%_gst_libdir/*.so
%_datadir/gstreamer-%ver_major

%files devel-doc
%_gtk_docdir/%name-plugins-%ver_major

%changelog
* Thu Oct 22 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.13-alt1
- 0.10.13

* Fri Oct 16 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.12.3-alt1
- 0.10.12.3 pre-release

* Tue Oct 13 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.12.2-alt1
- 0.10.12.2 pre-release

* Sat Sep 19 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.12.1-alt3
- rebuild with libdvdread.so.4

* Wed Aug 26 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.12.1-alt2
- rebuild with new libcdio

* Tue Aug 25 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.12.1-alt1
- 0.10.12.1

* Tue Jul 28 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.12-alt2
- enabled amrnb plugin

* Thu Jun 18 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.12-alt1
- 0.10.12

* Sat Mar 21 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.10.11-alt1
- 0.10.11

* Wed Nov 19 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.10-alt1
- 0.10.10

* Mon Oct 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.9-alt2
- enabled cdio plugin

* Sun Oct 26 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.9-alt1
- 0.10.9

* Mon Oct 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.8-alt2
- updated build dependencies

* Sat May 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.8-alt1
- 0.10.8

* Thu May 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt3
- rebuild

* Thu Feb 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt2
- join together subpackage

* Thu Feb 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.10.7-alt1
- 0.10.7
- spec cleanup
- update build dependencies

* Mon Sep 10 2007 Igor Zubkov <icesik@altlinux.org> 0.10.6-alt1
- 0.10.5 -> 0.10.6

* Thu Feb 22 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt1
- 0.10.4 -> 0.10.5

* Thu Aug 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.4-alt1
- Release 0.10.4

* Mon Apr 03 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt1
- 0.10.3
- Added -subtitle package for dvdsub

* Wed Feb 22 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt1
- 0.10.2
- Added dvdread
- Added asfdemux to container-formats

* Mon Feb 20 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- Initial release for Sisyphus after the plugin split of 0.9
